Bug 1591797 - [RFE][L-8] Create Automate method type for External Tower Job Template
Summary: [RFE][L-8] Create Automate method type for External Tower Job Template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Martin Povolny
QA Contact: Ganesh Hubale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 15:08 UTC by Greg McCullough
Modified: 2019-12-12 13:34 UTC (History)
10 users (show)

Fixed In Version: 5.11.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 13:33:51 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4199 None None None 2019-12-12 13:34:10 UTC

Description Greg McCullough 2018-06-15 15:08:48 UTC
Description of problem: Allow user to create a automate method type of JobTemplate which allows for the selection of an external Tower Provider and a JobTemplate.


Version-Release number of selected component (if applicable): 5.10


Additional info:
Enhancement split out of https://bugzilla.redhat.com/show_bug.cgi?id=1511171#c3

Comment 5 CFME Bot 2018-12-17 15:23:36 UTC
New commits detected on ManageIQ/manageiq-automation_engine/master:

https://github.com/ManageIQ/manageiq-automation_engine/commit/d2f723882638c52c21c5092a70342e2791e632a6
commit d2f723882638c52c21c5092a70342e2791e632a6
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Oct 30 10:29:03 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Oct 30 10:29:03 2018 -0400

    Add MiqAeAnsibleMethodBase.

    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_ansible_method_base.rb | 140 +
 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_playbook_method.rb | 132 +-
 2 files changed, 141 insertions(+), 131 deletions(-)


https://github.com/ManageIQ/manageiq-automation_engine/commit/f553cf117de0208a0ed70c96ee72bd564479f4b1
commit f553cf117de0208a0ed70c96ee72bd564479f4b1
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Oct 30 10:30:56 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Oct 30 10:30:56 2018 -0400

    Add ansibletemplate automate method.

    ansibletemplate method supports Ansible job/workflow template.

    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_ansible_template_method.rb | 26 +
 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_method.rb | 9 +-
 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_playbook_method.rb | 6 +
 spec/miq_ae_ansible_template_method_spec.rb | 254 +
 4 files changed, 292 insertions(+), 3 deletions(-)

Comment 8 CFME Bot 2019-04-24 19:49:14 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/4d4a5ba40a1213806e07e5389edc9fc3e5d20f63
commit 4d4a5ba40a1213806e07e5389edc9fc3e5d20f63
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Mon Nov  5 11:37:41 2018 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Mon Nov  5 11:37:41 2018 -0500

    Add new locations for Ansible job template and workflow template.

    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 app/models/miq_ae_method.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 9 CFME Bot 2019-04-25 16:37:38 UTC
New commits detected on ManageIQ/manageiq-automation_engine/master:

https://github.com/ManageIQ/manageiq-automation_engine/commit/bbff4a77c0800012500c837da8031744bb7c36dd
commit bbff4a77c0800012500c837da8031744bb7c36dd
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Jan  2 14:18:32 2019 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jan  2 14:18:32 2019 -0500

    Use the new method name template.run_with_miq_job.

    Followup of https://github.com/ManageIQ/manageiq-automation_engine/pull/265
    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_ansible_template_method.rb | 4 +-
 spec/miq_ae_ansible_template_method_spec.rb | 11 +-
 2 files changed, 8 insertions(+), 7 deletions(-)


https://github.com/ManageIQ/manageiq-automation_engine/commit/72c5cc99c3a1bb1dd16f239ba477c910a19390db
commit 72c5cc99c3a1bb1dd16f239ba477c910a19390db
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Jan 23 11:41:20 2019 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jan 23 11:41:20 2019 -0500

    Add new method ansible_job_template and ansible_workflow_template.

    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_method.rb | 8 +-
 1 file changed, 6 insertions(+), 2 deletions(-)

Comment 10 CFME Bot 2019-04-25 16:37:44 UTC
New commit detected on ManageIQ/manageiq-providers-ansible_tower/master:

https://github.com/ManageIQ/manageiq-providers-ansible_tower/commit/d9a4dfb9b3d458bf2d9ac777897e677efb6bd90a
commit d9a4dfb9b3d458bf2d9ac777897e677efb6bd90a
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Oct 30 14:23:27 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Oct 30 14:23:27 2018 -0400

    Add Ansible template runner.

    https://bugzilla.redhat.com/show_bug.cgi?id=1591797

 app/models/manageiq/providers/ansible_tower/automation_manager/configuration_script.rb | 9 +
 app/models/manageiq/providers/ansible_tower/automation_manager/configuration_workflow.rb | 9 +
 app/models/manageiq/providers/ansible_tower/automation_manager/template_runner.rb | 145 +
 spec/models/manageiq/providers/ansible_tower/automation_manager/configuration_script_spec.rb | 10 +
 spec/models/manageiq/providers/ansible_tower/automation_manager/configuration_workflow_spec.rb | 10 +
 spec/models/manageiq/providers/ansible_tower/automation_manager/template_runner_spec.rb | 223 +
 6 files changed, 406 insertions(+)

Comment 13 Ganesh Hubale 2019-06-14 08:08:04 UTC
Fixed!

User is able to create automate methods (types - ansible job template and ansible workflow template) with successfully adding provider - external ansible tower and templates.

Verified on version: 5.11.0.8.20190611155126_01e077e

Comment 15 errata-xmlrpc 2019-12-12 13:33:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4199


Note You need to log in before you can comment on or make changes to this bug.